#pragma once

#include "texture.h"
#include "shaders.h"

class CSkybox
{
private:
	GLuint VBO, VAO;
	CTexture Texture;
	CShaderProgram SkyBox;

public:
	bool Init();
	void Render(mat4x4 &ModelViewProjectionMatrix);
	void Destroy();
};
